fwbuilder(1)

NAME
fwbuilder - Multiplatform firewall configuration tool

SYNOPSIS
/usr/bin/fwbuilder [-ffile.fwb] [-d] [-h] [-ofile] [-Pobject_name] [-v]

DESCRIPTION
fwbuilder is the Graphic User Interface (GUI) component of Firewall Builder. Firewall Builder consists of a GUI and set of policy compilers for various firewall platforms. It helps users maintain a database of objects and allows policy editing using simple drag-and-drop operations. GUI generates firewall description in the form of XML file, which compilers then interpret and generate platform-specific code. Several algorithms are provided for automated network objects discovery and bulk import of data. The GUI and policy compilers are completely independent, this provides for a consistent abstract model and the same GUI for different firewall platforms. Firewall Builder supports firewalls based on iptables (Linux kernel 2.4.x and 2.6.x, see fwb_ipt(1)), ipfilter (variety of platforms including *BSD, Solaris and others, see fwb_ipf(1)), pf (OpenBSD and FreeBSD, see fwb_pf(1)), ipfw (FreeBSD and others), Cisco PIX (v6.x and 7.x) and Cisco IOS extended access lists.

OPTIONS

-f FILE
    Specify the name of the file to be loaded when program starts.

-d  Turns on debug mode. Note that in this mode the program generates lots of output on standard error. This is used for debugging.

-h  Prints brief help message

-o file
    Specify the name of the file for the print output, see option "-P".

-P object_name
    Print rules and objects for the firewall object "object_name" and immediately exit. The program does not go into interactive mode and does not need X11. Print output will be placed in the file specified with "-o" option. If file name is not given with option "-o", print output is stored in the file "print.pdf" in the current directory.

FILES

$HOME/.qt/firewallbuilder2rc
    Fwbuilder v2.1 stores user preferences in this file.

$HOME/.config/netcitadel.com/Firewall Builder.conf
    Fwbuilder v3.0 stores user preferences in this file.

URL
Firewall Builder home page is located at the following URL: http://www.fwbuilder.org/

BUGS
Please report bugs using bug tracking system on SourceForge: http://sourceforge.net/tracker/?group_id=5314&atid=105314

SEE ALSO
fwblookup(1), fwb_ipt(1), fwb_ipf(1), fwb_pf(1)